# eric6.Helpviewer.HelpIndexWidget

Module implementing a window for showing the QtHelp index.

### Global Attributes

None

### Classes

HelpIndexWidget | Class implementing a window for showing the QtHelp index.

### Functions

None

## HelpIndexWidget

Class implementing a window for showing the QtHelp index.

### Signals

escapePressed()
  emitted when the ESC key was pressed
linkActivated(QUrl)
  emitted when an index entry is activated
linksActivated(links, keyword)
  emitted when an index entry referencing multiple targets is activated

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

HelpIndexWidget | Constructor
__activated | Private slot to handle the activation of a keyword entry.
__disableSearchEdit | Private slot to enable the search edit.
__enableSearchEdit | Private slot to enable the search edit.
__filterIndices | Private slot to filter the indices according to the given filter.
eventFilter | Public method called to filter the event queue.
focusInEvent | Protected method handling focus in events.

### Static Methods

None

#### HelpIndexWidget (Constructor)

HelpIndexWidget(engine, mainWindow, parent=None)

Constructor

engine
  reference to the help engine (QHelpEngine)
mainWindow
  reference to the main window object (QMainWindow)
parent
  reference to the parent widget (QWidget)

#### HelpIndexWidget.__activated

__activated(idx)

Private slot to handle the activation of a keyword entry.

idx
  index of the activated entry (QModelIndex)

#### HelpIndexWidget.__disableSearchEdit

__disableSearchEdit()

Private slot to enable the search edit.

#### HelpIndexWidget.__enableSearchEdit

__enableSearchEdit()

Private slot to enable the search edit.

#### HelpIndexWidget.__filterIndices

__filterIndices(filter)

Private slot to filter the indices according to the given filter.

filter
  filter to be used (string)

#### HelpIndexWidget.eventFilter

eventFilter(watched, event)

Public method called to filter the event queue.

watched
  the QObject being watched (QObject)
event
  the event that occurred (QEvent)

Returns:
  flag indicating whether the event was handled (boolean)

#### HelpIndexWidget.focusInEvent

focusInEvent(evt)

Protected method handling focus in events.

evt
  reference to the focus event object (QFocusEvent)

Up